Bug 881997 - gluster volume geo-replication config checkpoint now works but returns command failed
gluster volume geo-replication config checkpoint now works but returns comman...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: geo-replication (Show other bugs)
mainline
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Csaba Henk
:
Depends On: 881736
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-29 17:50 EST by Csaba Henk
Modified: 2013-07-24 13:17 EDT (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 881736
Environment:
Last Closed: 2013-07-24 13:17:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Csaba Henk 2012-11-29 17:50:40 EST
+++ This bug was initially created as a clone of Bug #881736 +++

Description of problem:
Issuing the following command:
# gluster volume  geo-replication <volumename> <slave-url> config checkpoint now
Returns:
geo-replication config-set failed for <volumename> <slave-url>
geo-replication command failed

The command is executed successfully though testing via:
gluster volume  geo-replication <volumename> <slave-url> config checkpoint
as of 2012-11-29 13:24:02
(date/time is changing)

Version-Release number of selected component (if applicable):
glusterfs-geo-replication-3.3.0-22.el6rhs.x86_64

How reproducible:
Everytime

Steps to Reproduce:
1. Setup geo-replication
2. Configure a checkpoint as on the description
3. Check the output
  
Actual results:
Command is reported as failed (although it works)

Expected results:
Command to be reported as it should (OK if it worked, failed if it failed)

Additional info:
Comment 1 Vijay Bellur 2012-12-04 15:13:20 EST
CHANGE: http://review.gluster.org/4248 (geo-rep / gsyncd: play nicely with peer multiplexing when setting a checkpoint) merged in master by Anand Avati (avati@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.